<template>
  <div>
    <SidebarRegister />
    <div class="container-register">
      <div class="icon-step">
        <svg
          xmlns="http://www.w3.org/2000/svg"
          width="26"
          height="26"
          fill="currentColor"
          class="bi bi-person-check"
          viewBox="0 0 16 16"
        >
          <path
            d="M12.5 16a3.5 3.5 0 1 0 0-7 3.5 3.5 0 0 0 0 7Zm1.679-4.493-1.335 2.226a.75.75 0 0 1-1.174.144l-.774-.773a.5.5 0 0 1 .708-.708l.547.548 1.17-1.951a.5.5 0 1 1 .858.514ZM11 5a3 3 0 1 1-6 0 3 3 0 0 1 6 0ZM8 7a2 2 0 1 0 0-4 2 2 0 0 0 0 4Z"
          />
          <path
            d="M8.256 14a4.474 4.474 0 0 1-.229-1.004H3c.001-.246.154-.986.832-1.664C4.484 10.68 5.711 10 8 10c.26 0 .507.009.74.025.226-.341.496-.65.804-.918C9.077 9.038 8.564 9 8 9c-5 0-6 3-6 4s1 1 1 1h5.256Z"
          />
        </svg>
      </div>
      <h3 class="mt-4 fw-bold">Verifikasi Data</h3>
      <form class="mt-4" @submit.prevent>
        <div class="row">
          <div class="col-6">
            <div class="mb-3">
              <label for="nik" class="form-label"
                >Nomor Induk Kependudukan</label
              >
              <input
                type="text"
                class="form-control"
                id="nik"
                placeholder="Ketik nik"
                v-model="form.nik"
              />
            </div>

            <div class="d-flex my-4 justify-content-end gap-2">
              <button type="submit" class="btn btn-primary" @click="save">
                Selanjutnya
              </button>
            </div>
          </div>
        </div>
      </form>
    </div>
  </div>
</template>

<script>
import SidebarRegister from "@/components/SidebarRegister.vue";
import axios from "axios";

export default {
  name: "RegisterStep1View",
  components: {
    SidebarRegister,
  },
  data() {
    return {
      form: {},
      localVerifikasi: {},
    };
  },
  methods: {
    save() {
      this.getCitizen(this.form.nik);
    },
    getCitizen(idCitizen) {
      axios
        .get("http://localhost:3000/citizen/detail/" + idCitizen)
        .then((response) => {
          this.renderHtml(response.data.data);
        })
        .catch((error) => {
          console.log(error);
        });
    },
    renderHtml(citizen) {
      if (citizen.length > 0) {
        let profile = {
          name: citizen[0].name,
          dob: citizen[0].dob,
          gender: citizen[0].gender,
          address: citizen[0].address,
        }
        localStorage.setItem("verifikasi", JSON.stringify(this.form));
        localStorage.setItem("profile", JSON.stringify(profile));
        this.$router.push({ path: "/register/step-2" });
      } else {
        this.$toast.success("Mohon maaf NIK tidak terdaftar.", {
          type: "error",
          position: "top-right",
          duration: 3000,
          dismissible: true,
        });
      }
    },
  },
  created() {
    this.localVerifikasi =
      JSON.parse(localStorage.getItem("verifikasi")) || null;
    this.form = { ...this.form, ...this.localVerifikasi };
  },
};
</script>

<style>
</style>